Subject: bug#64292: 30.0.50; setf strange when lexical-binding is nil

From: Stefan Monnier <[email-masked]>
Date: Wed, 28 Jun 2023 09:36:40 -0400

>> Can someone confirm that the patch below reverts the regression?
> The patch did the trick on at least the setf issue.  Thanks.

I pushed it to `master` (under the "bug#64315" name, tho, didn't
realize there were not the same bug numbers).

        Stefan